# ChangeLog for sys-apps/pciutils
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/pciutils/ChangeLog,v 1.72 2006/02/19 22:11:48 kumba Exp $

  19 Feb 2006; Joshua Kinard <kumba@gentoo.org> pciutils-2.2.0-r1.ebuild:
  Marked stable on mips.

  08 Feb 2006; Joel Martin <kanaka@gentoo.org> pciutils-2.2.0-r1.ebuild:
  Do not strip in makefile, this break cross-compile.

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org>
  pciutils-2.2.0-r1.ebuild:
  Stable on ppc.

  21 Dec 2005; Marcus D. Hanwell <cryos@gentoo.org>
  pciutils-2.2.0-r1.ebuild:
  Stable on amd64.

  03 Dec 2005; Tom Gall <tgall@gentoo.org> pciutils-2.2.0-r1.ebuild:
  stable on ppc64

  03 Dec 2005; Guy Martin <gmsoft@gentoo.org> pciutils-2.2.0-r1.ebuild:
  Stable on hppa.

  30 Nov 2005; Bryan Østergaard <kloeri@gentoo.org>
  pciutils-2.2.0-r1.ebuild:
  Stable on alpha.

  29 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  pciutils-2.2.0-r1.ebuild:
  Stable on sparc

  26 Nov 2005; Mark Loeser <halcy0n@gentoo.org> pciutils-2.2.0-r1.ebuild:
  Stable on x86; bug #110769

  11 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  files/pciutils-2.1.11-bsd.patch, +files/pciutils-2.1.11-malloc.patch,
  pciutils-2.1.11-r5.ebuild, pciutils-2.2.0-r1.ebuild:
  Split out malloc patch from the rest of bsd patch. Apply it on 2.2.0 that
  still needs it.

*pciutils-2.2.0-r1 (16 Oct 2005)

  16 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/pciutils-2.2.0-shared-lib.patch, +pciutils-2.2.0-r1.ebuild:
  Build and install a shared library instead of just forcing -fPIC on the
  static lib.

*pciutils-2.2.0 (16 Oct 2005)

  16 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/pcimodules-pciutils-2.2.0.patch, +pciutils-2.2.0.ebuild:
  Version bump #109352 by Daniel Drake.

  29 Sep 2005; Hardave Riar <hardave@gentoo.org> pciutils-2.1.11-r5.ebuild:
  Stable on mips.

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org> pciutils-2.1.11-r5.ebuild:
  Mark 2.1.11-r5 stable on alpha

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> pciutils-2.1.11-r5.ebuild:
  Stable on ppc64

  02 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  pciutils-2.1.11-r5.ebuild:
  Stable on ppc.

  22 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/pciutils-2.1.11-bsd.patch, pciutils-2.1.11-r5.ebuild:
  Add FreeBSD support to shut Diego Pettenò up #103241.

  22 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  pciutils-2.1.11-r5.ebuild:
  Stable on sparc

  09 Aug 2005; Luis Medinas <metalgod@gentoo.org> pciutils-2.1.11-r4.ebuild:
  Marked Stable on AMD64.

  02 Jul 2005; Bryan Østergaard <kloeri@gentoo.org>
  pciutils-2.1.11-r4.ebuild:
  Stable on alpha.

  29 Jun 2005; Joshua Kinard <kumba@gentoo.org> pciutils-2.1.11-r4.ebuild:
  Marked stable on mips.

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  pciutils-2.1.11-r4.ebuild:
  Stable on ppc.

  13 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  pciutils-2.1.11-r4.ebuild:
  Stable on sparc

*pciutils-2.1.11-r5 (12 Jun 2005)

  12 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/pciutils-2.1.11-gentoo-paths.patch,
  +files/pciutils-2.1.11-sysfs.patch, +pciutils-2.1.11-r5.ebuild:
  Clean up sharedir logic, fix version reporting, and update sysfs patch from
  Debian.

  09 May 2005; Aron Griffis <agriffis@gentoo.org> pciutils-2.1.11-r4.ebuild:
  stable on ia64

  07 Apr 2005; Tom Gall <tgall@gentoo.org> pciutils-2.1.11-r4.ebulid:
  stable on ppc64

  19 Mar 2005; Bryan Østergaard <kloeri@gentoo.org>
  pciutils-2.1.11-r3.ebuild:
  Stable on alpha.

  02 Mar 2005; Daniel Goller <morfic@gentoo.org> pciutils-2.1.11-r3.ebuild:
  Stable on ppc

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org> pciutils-2.1.11-r3.ebuild:
  Marked stable on mips.

*pciutils-2.1.11-r4 (30 Jan 2005)

  30 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/2.1.11-fix-pci-ids-location-refs.patch, +files/2.1.11-scan.patch,
  +pciutils-2.1.11-r4.ebuild:
  Clean up the pci.ids location patch, add a tiny patch from fedora to fix
  segfault when pci bus is missing, and make sure pciutils respects
  $AR/$CC/$RANLIB.

  20 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  pciutils-2.1.11-r3.ebuild:
  Stable on sparc

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  19 Oct 2004; Mike Frysinger <vapier@gentoo.org> pciutils-2.1.11-r3.ebuild:
  Try to grab latest pci.ids file, but if that fails, use a cached version
  #43484 by Spider.

  14 Oct 2004; <plasmaroo@gentoo.org> pciutils-2.1.11-r3.ebuild:
  Fixing the position of "emake lib" since under certain conditions lspci and
  friends get compiled without the /usr/share/misc/pci.ids sed getting run.

*pciutils-2.1.11-r3 (09 Oct 2004)

  09 Oct 2004; Doug Goldstein <cardoe@gentoo.org>
  +files/pciutils-2.1.11-fix-pci-ids-location-refs.patch,
  +pciutils-2.1.11-r3.ebuild:
  path fixing bug #62786

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  pciutils-2.1.11-r1.ebuild:
  Masked pciutils-2.1.11-r1.ebuild stable for ppc

*pciutils-2.1.11-r2 (30 Aug 2004)

  30 Aug 2004; Guy Martin <gmsoft@gentoo.org> +pciutils-2.1.11-r2.ebuild:
  Unconditionally use -fPIC for libs (#55238).

  26 Jul 2004; <solar@gentoo.org> pciutils-2.1.11-r1.ebuild:
  fix command line overflow which did not allow for null terminator when using
  lspci -vvv (AGPx1 and AGPx2 and AGPx4) bug #41422

  16 Jul 2004; Michael Sterrett <mr_bones_@gentoo.org>
  pciutils-2.1.11-r1.ebuild:
  make parallel-safe; error check sed; use emake; error messages

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> pciutils-2.1.11-r1.ebuild,
  pciutils-2.1.11.ebuild:
  sync IUSE (missing), glibc -> libc

  22 Jun 2004; <malc@gentoo.org> pciutils-2.1.11-r1.ebuild:
  Mark stable on amd64

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> pciutils-2.1.11-r1.ebuild:
  Stable on alpha.

  09 May 2004; Ilya A. Volynets-Evenbach <iluxa@gentoo.org>
  pciutils-2.1.11-r1.ebuild:
  Stable on mips

  29 Apr 2004; Guy Martin <gmsoft@gentoo.org> pciutils-2.1.11-r1.ebuild:
  Marked stable on hppa.

  01 Apr 2004; Ciaran McCreesh <ciaranm@gentoo.org> pciutils-2.1.11-r1.ebuild:
  Stable on sparc

  06 Mar 2004; Ilya A. Volynets-Evenbakh <ilya@total-knowledge.com>
  pciutils-2.1.11-r1.ebuild:
  ~mips pciutils - tested on SGI O2

  02 Mar 2004; Tom Gall <tgall@gentoo.org> pciutils-2.1.11-r1.ebuild:
  Stable on ppc64

  07 Feb 2004; Lars Weiler <pylon@gentoo.org> pciutils-2.1.11.ebuild:
  Stable on ppc

*pciutils-2.1.11-r1 (18 Jan 2004)

  18 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Add sysfs support (patch from the deb guys) #38645.
  Move libpci.a into /usr/lib/ #36453.

  24 Jan 2004; <plasmaroo@gentoo.org> files/2.1.11-sysfs.patch:
  Fixed the sysfs patch to happily co-exist on both < 2.4 and 2.6 systems, and not
  use sysfs on < 2.4 kernels.

  15 Jan 2004; Jon Portnoy <avenj@gentoo.org> pciutils-2.1.11.ebuild :
  Stable on AMD64.

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> pciutils-2.1.11.ebuild:
  stable on alpha

  14 Dec 2003; Guy Martin <gmsoft@gentoo.org> pciutils-2.1.11.ebuild:
  Marked stable on hppa.

  19 Sep 2003; Christian Birchinger <joker@gentoo.org> pciutils-2.1.11.ebuild:
  Added sparc stable keyword

  05 Sep 2003; Martin Holzer <mholzer@gentoo.org> pciutils-2.1.11.ebuild:
  Marked x86 stable.

*pciutils-2.1.11 (05 Aug 2003)

  05 Aug 2003; Martin Holzer <mholzer@gentoo.org> pciutils-2.1.11.ebuild,
  files/pcimodules-pciutils-2.1.11.diff:
  Version bumped. Ebuild submitted by Jeff Ames <jca@cwru.edu> in #25670.

  12 Feb 2003; Guy Martin <gmsoft@gentoo.org> pciutils-2.1.10-r1.ebuild :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*pciutils-2.1.10-r1 (03 Aug 2002)

  03 Apr 2003; Zach Welch <zwelch@gentoo.org> pciutils-2.1.10-r1.ebuild:
  add arm keyword

  03 Aug 2002; Daniel Ahlberg <aliz@gentoo.org> pciutils-2.1.10-r1.ebuild:
  Made pcimodule patch apply cleanly.

*pciutils-2.1.10 (02 Aug 2002)

  10 Mar 2003; Seemant Kulleen <seemant@gentoo.org> pciutils-2.1.10-r1.ebuild,
  pciutils-2.1.10.ebuild, pciutils-2.1.10.ebuild, pciutils-2.1.9-r1.ebuild,
  pciutils-2.1.9-r1.ebuild, pciutils-2.1.9-r2.ebuild,
  pciutils-2.1.9-r2.ebuild:
  use epatch instead

  02 Aug 2002; Daniel Ahlberg <aliz@gentoo.org> pciutils-2.1.10.ebuild:
  Version bump. Updates the pci.ids before compiling.

*pciutils-2.1.9-r1.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> pciutils-2.1.9.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> pciutils-2.1.9-r1.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

*pciutils-2.1.9-r2 (2 June 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> pciutils-2.1.9-r2.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

  2 June; Matthew Kennedy <mkennedy@gentoo.org>
  pciutils-2.1.9-r2.ebuild, files/digest-pciutils-2.1.9-r2, ChangeLog :

  Fixed -Werror breakage for GCC3.1. Thanks to
  lostlogic@lostlogicx.com (Brandon Low) for the corrected ebuild.

*pciutils-2.1.9 (24 Feb 2002)

  22 Feb 2002; Bruce A. Locke <blocke@shivan.org> pciutils-2.1.9.ebuild :

  Now installs the header files and the lib, as per bug #2366.

  22 Feb 2002; Bruce A. Locke <blocke@shivan.org> pciutils-2.1.9.ebuild :

  - app-admin/pciutils moved to sys-apps/pciutils
  - Updated ebuild contributed by folokai@earthlink.net (scott worley)

